Subject: Re: bug#16184: 24.3.50; edebug and eval-when-compiler don't work together

From: Anders Lindgren <[email-masked]>
Date: Fri, 20 Dec 2013 07:59:01 +0100

Hi!

Unfortunately, the problem still seems to be there. I tried this on latest
trunk (as of yesterday) with the patch applied and I still get an error
when I do C-u C-M-x on the code I originally supplied.

    -- Anders

On Fri, Dec 20, 2013 at 1:01 AM, Katsumi Yamaoka <[email-masked]> wrote:

> Anders Lindgren wrote:
> > The construct 'eval-when-compile' seems to throw debug off. When
> > pressing C-u C-M-x on the following, an error is issued. This worked
> > correctly in 24.3. This makes it hard to use edebug on functions in
> > cc-mode (like c-font-lock-declarations), as it makes heavy use of
> > eval-when-compile.
>
> > (defun test (limit)
> >   (eval-when-compile
> >     (boundp 'parse-sexp-lookup-properties)))
>
> I'm not sure of it but the patch below seems to solve it.
> This works for the bug#14646 case[1], too.  WDYT?
>
> [1] <http://thread.gmane.org/gmane.emacs.bugs/80778>
>
>